# H225_GSM_UIM Class Reference

`#include <h225.h>`

Inheritance diagram for H225_GSM_UIM:

List of all members.

## Public Types

enum | OptionalFields { e_imsi, e_tmsi, e_msisdn, e_imei, e_hplmn, e_vplmn }

## Public Member Functions

| H225_GSM_UIM (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_IA5String | m_imsi
PASN_OctetString | m_tmsi
PASN_IA5String | m_msisdn
PASN_IA5String | m_imei
PASN_IA5String | m_hplmn
PASN_IA5String | m_vplmn

## Member Enumeration Documentation

enum H225_GSM_UIM::OptionalFields

Enumerator:

  e_imsi |
  e_tmsi |
  e_msisdn |
  e_imei |
  e_hplmn |
  e_vplmn |

## Constructor & Destructor Documentation

H225_GSM_UIM::H225_GSM_UIM | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_GSM_UIM::GetDataLength | ( |  | ) | const

PBoolean H225_GSM_UIM::Decode | ( | PASN_Stream & | strm | ) |

void H225_GSM_UIM::Encode | ( | PASN_Stream & | strm | ) | const

void H225_GSM_UIM::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_GSM_UIM::Compare | ( | const PObject & | obj | ) | const

PObject* H225_GSM_UIM::Clone | ( |  | ) | const

## Member Data Documentation

PASN_IA5String H225_GSM_UIM::m_imsi

PASN_OctetString H225_GSM_UIM::m_tmsi

PASN_IA5String H225_GSM_UIM::m_msisdn

PASN_IA5String H225_GSM_UIM::m_imei

PASN_IA5String H225_GSM_UIM::m_hplmn

PASN_IA5String H225_GSM_UIM::m_vplmn

The documentation for this class was generated from the following file:

- h225.h